EAPI=7

inherit autotools

# this is not a general Janus ebuild, I'm only setting up the bits
# needed by nextcloud-spreed-signaling

DESCRIPTION="open source, general purpose, WebRTC server"
HOMEPAGE="https://janus.conf.meetecho.com/"
SRC_URI="https://github.com/meetecho/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="dev-libs/jansson
		dev-libs/libconfig
		>=net-libs/libnice-0.1.16
		>=dev-libs/openssl-1.0.1e
		net-libs/libsrtp:2[openssl,aesicm]
		net-libs/usrsctp
		net-libs/libwebsockets[ssl]
		net-misc/curl
		media-libs/opus
		media-libs/libogg

		dev-libs/glib
		sys-libs/zlib
		dev-util/gengetopt
		virtual/pkgconfig
"

src_prepare() {
	default
	eautoreconf
}

src_configure() {
	econf \
		--enable-libsrtp2 \
		--enable-aes-gcm \
		--enable-turn-rest-api \
		--enable-json-logger \
		\
		--enable-unix-sockets \
		--enable-websockets-event-handler \
		--disable-rest \
		--disable-rabbitmq \
		--disable-rabbitmq-event-handler \
		--disable-mqtt \
		--disable-mqtt-event-handler \
		--disable-nanomsg \
		--disable-nanomsg-event-handler \
		--enable-data-channels \
		\
		--enable-plugin-audiobridge \
		--enable-plugin-duktape \
		--enable-plugin-echotest \
		--disable-plugin-lua \
		--enable-plugin-recordplay \
		--disable-plugin-sip \
		--enable-plugin-streaming \
		--enable-plugin-textroom \
		--enable-plugin-videocall \
		--enable-plugin-videoroom \
		--enable-plugin-voicemail \
		\
		--disable-boringssl \
		--disable-systemd-sockets \
		--disable-docs
}

src_compile() {
	default
}

src_install() {
	emake DESTDIR="${D}" configs
	default
}
